Class | Exception
In: | lib/phusion_passenger/utils.rb
Parent: | Object

### Methods

backtrace_string

### Public Instance methods

backtrace_string(current_location = nil)

[Source]

         # File lib/phusion_passenger/utils.rb, line 509
    509:         def backtrace_string(current_location = nil)
    510:                 if current_location.nil?
    511:                         location = nil
    512:                 else
    513:                         location = "in #{current_location} "
    514:                 end
    515:                 return "*** Exception #{self.class} #{location}" <<
    516:                         "(#{self}) (process #{$$}):\n" <<
    517:                         "\tfrom " << backtrace.join("\n\tfrom ")
    518:         end

[Validate]